#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_portal.interfaces import IPortletSettings

# import packages
from pyams_content.shared.view import WfView
from pyams_sequence.schema import InternalReference

from pyams_content import _


class IViewItemsPortletSettings(IPortletSettings):
    """View items portlet settings interface"""

    view = InternalReference(title=_("Selected view"),
                             description=_("Reference to the view from which items are extracted"),
                             content_type=WfView.content_type,
                             required=True)
